<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mobile_navigation"
    app:startDestination="@+id/nav_magasin">

    <fragment
        android:id="@+id/nav_magasin"
        android:name="com.h2021.tp4_produits.ui.Magasin.MagasinFragment"
        android:label="@string/menu_magasin"
        tools:layout="@layout/fragment_magasin" >
        <action
            android:id="@+id/action_nav_magasin_to_magasinDetailFragment"
            app:destination="@id/magasinDetailFragment" />
    </fragment>

    <fragment
        android:id="@+id/nav_map"
        android:name="com.h2021.tp4_produits.ui.Carte.MapsFragment"
        android:label="@string/menu_Carte"
        tools:layout="@layout/fragment_carte" >
        <action
            android:id="@+id/action_nav_map_to_magasinDetailFragment"
            app:destination="@id/magasinDetailFragment" />
    </fragment>

    <fragment
        android:id="@+id/magasinDetailFragment"
        android:name="com.h2021.tp4_produits.ui.Magasin.MagasinDetailFragment"
        android:label="fragment_magasin_detail"
        tools:layout="@layout/fragment_magasin_detail" >
        <argument
            android:name="nom_magasin"
            app:argType="string" />
    </fragment>
    <fragment
        android:id="@+id/configurationFragment"
        android:name="com.h2021.tp4_produits.ConfigurationFragment"
        android:label="ConfigurationFragment" /><action android:id="@+id/action_global_configurationFragment" app:destination="@id/configurationFragment"/>
</navigation>